Page MenuHomePhabricator

Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {musk} [5 pts]
Closed, ResolvedPublic

Description

When using --all-projects flag, the all.tsv files are created sometimes with non-intuitive date ranges.
Also, the created files need still to be tracked in the git repo.

the output is here:
https://metrics.wmflabs.org/static/public/datafiles/Pageviews/ in the file all.csv

Event Timeline

mforns created this task.Jul 22 2015, 5:33 PM
mforns claimed this task.
mforns raised the priority of this task from to Needs Triage.
mforns updated the task description. (Show Details)
mforns added a project: Analytics-Kanban.
mforns added a subscriber: mforns.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 5:33 PM
kevinator renamed this task from Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag to Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {slug}.Jul 22 2015, 5:38 PM
kevinator set Security to None.
kevinator updated the task description. (Show Details)
kevinator renamed this task from Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {slug} to Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {musk}.Jul 27 2015, 4:16 PM
kevinator triaged this task as Normal priority.Jul 27 2015, 4:19 PM
kevinator moved this task from Incoming to Medium on the Analytics-Backlog board.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 241620 had a related patch set uploaded (by Mforns):
Fix inconsistencies when using --all-projects

https://gerrit.wikimedia.org/r/241620

mforns renamed this task from Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {musk} to Python Aggregator: Solve inconsistencies in data ranges when using --all-projects flag {musk} [5 pts].Sep 28 2015, 11:32 AM

Change 241620 merged by Nuria:
Fix inconsistencies when using --all-projects

https://gerrit.wikimedia.org/r/241620

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 28 2015, 3:12 PM
kevinator closed this task as Resolved.Sep 29 2015, 5:42 PM
kevinator added a subscriber: kevinator.